[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# DefFontData

Default Data for any new Font

## Declaration

Source position: graphics.pp line 80

`const DefFontData: TFontData = (Handle: 0; Height: 0; Pitch: fpDefault; Style: []; Charset: DEFAULT_CHARSET; Quality: fqDefault; Name: 'default'; Orientation: 0);`

## Description

New TFont instances are initialized with the values in this structure.

About font default values: The default font is chosen by the interfaces depending on the context.

For example, there can be a different default font for a button and a groupbox.

## See also

TFontData |  | A record holding Data about the current Font

The latest version of this document can be found at lazarus-ccr.sourceforge.net .